Doomsday Engine - Feature #1199

Shaders, Texture Maps + other ver.2 features.
2003-06-18 10:23 - skyjake

Status: Closed Start date:

Priority: Urgent % Done:
Assignee:

Category: Redesign

Target version:

2003-06-18
0%

Description
Support for quake3 style pixel/vertexshaders for both
flats and objects.

Particle's rendered to textures, for eg fire/water effects
ala Unreal.

Bump/Specular/Enviroment/Reflection/Procedural
mapping for models/walls/flats. Would greatly enhance
the look of Doomsday.

Area based fog through XG sectors.

Client window/pov > Rendered to texture's, eg for
security camera's and portal effects.

Flat matrices.

Instead of a flat surface. A surface could be created
using a matrix which could be actively deformed for eg a
water surface.

Dani J666

Labels: Graphics

Related issues:

Copied to Feature #1623: Shaders

Copied to Feature #1624: Render particles to textures

Copied to Feature #1625: Per-pixel surface shading (bump/specular/reflection ...
Copied to Feature #1626: Area-based fog

Copied to Feature #1627: Render game view to a texture

Copied to Feature #1628: Surface meshes
History

#1 - 2003-06-23 07:16 - badrad
Logged In: YES
user_id=816824

Wow the Tenebrae stuff really is amazing...and its
opensource! Can its code be used for Doomday? That would be
breathtaking!

#2 - 2004-01-01 10:48 - skyjake

(originally posted by anonymous SF.net user)
Logged In: NO

I'd like to see per-pixel lighting. Anyone take a look at

tenebrae's latest pics. Those wall textures are really
benefiting from it.

2024-04-27

1/2




#3 - 2013-10-20 20:41 - skyjake

- Tags set to Renderer, Graphics, Textures, OpenGL
- Category set to Redesign

- Status changed from New to In Progress

- % Done changed from 0 to 10

#4 - 2013-10-20 20:44 - skyjake

- Priority changed from Normal to Urgent

#5 - 2013-10-21 20:50 - skyjake

Maybe this should just be merged into Feature #77?

#6 - 2013-10-22 08:09 - skyjake
- Status changed from In Progress to Closed

- % Done changed from 10 to 0

This composite issue has been split into separate ones under Issue #7.
